Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ftp
Class FTPFileListParserImpl

    java.lang.Object
      org.apache.commons.net.ftp.FTPFileEntryParserImpl
          org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
              org.apache.commons.net.ftp.FTPFileListParserImpl

All Implemented Interfaces:
  FTPFileEntryParser, FTPFileListParser

Deprecated. This class is deprecated as of version 1.2 and will be removed in version 2.0 -- org.apache.commons.net.ftp.RegexFTPFileEntryParserImpl is its designated replacement. Class has been renamed, entire implemenation is in RegexFTPFileEntryParserImpl.

public abstract class FTPFileListParserImpl
extends RegexFTPFileEntryParserImpl

This abstract class implements both the older FTPFileListParser and newer FTPFileEntryParser interfaces with default functionality. All the classes in the parser subpackage inherit from this.

Author:
  Steve Cohen
See Also:
  `RegexFTPFileEntryParserImpl`

Field Summary

Fields inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
`_matcher_`

Constructor Summary
`FTPFileListParserImpl(String regex)` Deprecated. The constructor for a FTPFileListParserImpl object.

Methods inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
`getGroupCnt, getGroupsAsString, group, matches`

Methods inherited from class org.apache.commons.net.ftp.FTPFileEntryParserImpl
`parseFileList, parseFileList, preParse, readNextEntry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.net.ftp.FTPFileEntryParser
`parseFTPEntry`

Constructor Detail

### FTPFileListParserImpl

    public FTPFileListParserImpl(String regex)

  Deprecated.
  The constructor for a FTPFileListParserImpl object.

Parameters:
  `regex` - The regular expression with which this object is initialized.
Throws:
  `IllegalArgumentException` - Thrown if the regular expression is unparseable. Should not be seen in normal conditions. It it is seen, this is a sign that a subclass has been created with a bad regular expression. Since the parser must be created before use, this means that any bad parser subclasses created from this will bomb very quickly, leading to easy detection.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2005 The Apache Software Foundation. All Rights Reserved.